> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Deep Research Job

> Cancel a running deep research job. Only jobs with status 'queued' or 'in_progress' can be cancelled.



## OpenAPI

````yaml POST /ai/v1/deep-research/{id}/cancel
openapi: 3.0.0
info:
  description: OpenAPI specification for Messari Deep Research API
  title: Messari API - Deep Research V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /ai/v1/deep-research/{id}/cancel:
    post:
      summary: Cancel a deep research job
      description: >-
        Requests cancellation of a running deep research job. Only jobs with
        status 'queued' or 'in_progress' can be cancelled. The job's status will
        transition to 'cancelled'.
      operationId: cancelDeepResearch
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  job_id:
                    description: Unique identifier for the cancelled deep research job
                    format: byte
                    type: string
                  object:
                    description: Type of object returned, always 'deep_research'
                    type: string
                  status:
                    description: Status of the job after cancellation
                    type: string
                required:
                  - job_id
                  - object
                  - status
                type: object
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````